Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Lists Python script executions for this tenant/Core.


GET
/api/v1/{tenantId}/scripts/executions

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string
scriptId
string
status
string
Allowed values: running succeeded failed cancelled
limit
integer format: int32
default: 100

OK

object
executions
Array<object>
nullable
object
id
string
nullable
threadId
integer format: int64
status
string
Allowed values: running succeeded failed cancelled
startedAt
string format: date-time
completedAt
string format: date-time
nullable
exitCode
integer format: int32
nullable
errorMessage
string
nullable
startedByUserId
string
nullable
lineCount
integer format: int64
stdErrLineCount
integer format: int64
firstSequenceNumber
integer format: int64
lastSequenceNumber
integer format: int64
scriptSnapshot
object
scriptId
string
nullable
name
string
nullable
content
string
nullable
parentFolderId
string
nullable
version
integer format: int32
contentHash
string
nullable

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable